Subject: Re: [bitcoin-dev] Start time for BIP141 (segwit)

From: gb <[email-masked]>
Date: Mon, 17 Oct 2016 10:03:52 +1300

It's controversial not contriversial.

And it isn't controversial except among a small clique, which you seem
to be the sole representative of here. It might be time to consider
unsubscribing (again) if you don't seem to know when to shut up and the
moderators are letting you go on an inappropriate crusade here.

On Sun, 2016-10-16 at 22:58 +0200, Tom Zander via bitcoin-dev wrote:
> On Sunday, 16 October 2016 12:49:47 CEST Douglas Roark via bitcoin-dev 
> wrote:
> > It's not the website's fault if wallet devs aren't updating their
> > statuses. Besides, "WIP" can mean an awful lot of things.
> 
> As I said, it would be nice to get an updated version so we can see more 
> than 20% readyness of wallets.
> The wallet devs not caring enough to update the status should be a worrying 
> sign, though.
> 
> > A lot of devs have already worked on SegWit support. This has been
> > covered. Even if they don't support SegWit, the wallets will probably
> > work just fine. (For awhile, Armory did crash when trying to read SegWit
> 
> SegWit is probably the most disruptive and most invasive change ever made to 
> Bitcoin. We have miners actively saying they don't like it and this makes it 
> a contriversial upgrade which means the network may split and other issues.
> 
> Your "wallets will probably work just fine" comment is honestly not the 
> answer to make people put faith in the way that this is being vetted and 
> checked...
> 
> > Also, once again, FlexTrans is off-topic. 
> 
> Its an alternative and brought up in that vain. Nothing more. Feel free to 
> respond to the BIP discussion (134) right on this list if you have any 
> opinions on it. They will be on-topic there. No problems have been found so 
> far.
> 
> Lets get back to the topic. Having a longer fallow period is a simple way to 
> be safe.  Your comments make me even more scared that safety is not taken 
> into account the way it would.
> 
> People are not even acknowledging the damage a contriversial soft fork of 
> the scope and magnitude of SegWit can have, and a simple request to extend 
> the fallow time for safety is really not a big deal.
> SegWit has been in development for 18 months or so, what is a couple of 
> extra week??
> 
> I would just like to ask people to take the safety of Bitcoin serious. This 
> discussion and refusal to extend the safety period is not a good sign.